summaryrefslogtreecommitdiffhomepage
path: root/debian/changelog
blob: 4b4c0439e68b7d288c5a1133589263bdc4563d5b (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
283
284
285
286
287
288
289
290
291
292
293
294
295
296
297
298
299
300
301
302
303
304
305
306
307
308
309
310
311
312
313
314
315
316
317
318
319
320
321
322
323
324
325
326
327
328
329
330
331
332
333
334
335
336
337
338
339
340
341
342
343
344
345
346
347
348
349
350
351
352
353
354
355
356
357
358
359
360
361
362
363
364
365
366
367
368
369
370
371
372
373
374
375
376
377
378
379
380
381
382
383
384
385
386
387
388
389
390
391
392
393
394
395
396
397
398
399
400
401
402
403
404
405
406
407
408
409
410
411
412
413
414
415
416
417
418
419
420
421
422
423
424
425
426
427
428
429
430
431
432
433
434
435
436
437
438
439
440
441
442
443
444
445
446
447
448
449
450
451
452
453
454
455
456
457
458
459
460
461
462
463
464
465
466
467
468
469
470
471
472
473
474
475
476
477
478
479
480
481
482
483
484
485
486
487
488
489
490
491
492
493
494
495
496
497
498
499
500
501
502
503
504
505
506
507
508
509
510
511
512
513
514
515
516
517
518
519
520
521
522
523
524
525
526
527
528
529
530
531
532
533
534
535
536
537
538
539
540
541
542
543
544
545
546
547
548
549
550
551
552
553
554
555
556
557
558
559
560
561
562
563
564
565
566
567
568
569
570
571
572
573
574
575
576
577
578
579
580
581
582
583
584
585
586
587
588
589
590
591
592
593
594
595
596
597
598
599
600
601
602
603
604
605
606
607
608
609
610
611
612
613
ocrmypdf (13.7.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Add build-dep on python3-setuptools-scm-git-archive.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 16 Aug 2022 14:25:29 -0700

ocrmypdf (13.4.3+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 15 Apr 2022 14:37:53 -0700

ocrmypdf (13.4.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Require pikepdf >=5.0.1 as a simple means to exclude 5.0.0.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 02 Mar 2022 10:33:06 -0700

ocrmypdf (13.2.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop dependencies on python3-cffi and liblept5.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 23 Dec 2021 15:51:37 -0700

ocrmypdf (12.7.0+dfsg-2) unstable; urgency=medium

  * Tighten build-dep & dep on pikepdf to require >=2.10.0.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 22 Oct 2021 01:07:14 -0700

ocrmypdf (12.7.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Includes updates to d/copyright for license change GPL->MPL.
      See <https://github.com/jbarlow83/OCRmyPDF/issues/600#issuecomment-665998486>
      for full details.  Many thanks to upstream for carefully verifying the
      legitimacy of the relicensing and for updating d/copyright.
  * Add build-deps on python3-importlib-metadata, python3-sphinx-issues.
  * Drop python3-pytest-helpers-namespace from autopkgtest dependencies.
    No longer required by upstream's test suite.
  * Patch pyproject.toml to drop 'addopts' setting which breaks autopkgtest.
    See <https://github.com/jbarlow83/OCRmyPDF/issues/847>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 18 Oct 2021 17:21:07 -0700

ocrmypdf (10.3.1+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #962872).
  * Add tests/plugins/* and misc/watcher.py to d/copyright.
  * Add comment to tests/resources/typewriter.png stanza
    Thanks to upstream.
  * Add deps on python3-pluggy and python3-coloredlogs.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 27 Jul 2020 10:30:04 -0700

ocrmypdf (9.8.0+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 17 May 2020 17:21:32 -0700

ocrmypdf (9.7.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop old files, subsequently deleted by upstream, from Files-Excluded.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 15 Apr 2020 16:36:40 -0700

ocrmypdf (9.6.0+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 29 Feb 2020 09:02:01 -0700

ocrmypdf (9.5.0+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 02 Feb 2020 19:39:00 -0700

ocrmypdf (9.4.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update d/copyright for new files.
  * Drop dependency on qpdf.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 17 Jan 2020 11:28:30 -0700

ocrmypdf (9.1.0+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #944534).
    - Tighten build-dep on python3-pikepdf to require 1.7.0.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 12 Nov 2019 10:00:24 -0700

ocrmypdf (9.0.3+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #939044, #940497).
  * Add tesseract-ocr-deu to autopkgtest deps (Closes: #935749).

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 18 Sep 2019 16:32:25 -0700

ocrmypdf (9.0.1+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #934035).
    - Tighten build-dep on pikepdf to require 1.6.1.
    - Drop deps on ruffus.
    - Drop code in d/rules which passed --force to setup.py.
  * Add docs/images/logo* and misc/media/logo.afdesign to Files-Excluded.
    I cannot confirm that we can regenerate the files in docs/images/ from
    the .afdesign file using tools in Debian main, which latter is
    presumably the preferred form for modification.
  * Newly account for the following files in d/copyright:
    - misc/webservice.py
    - docs/images/bitmap_vs_svg.svg
    - tests/resources/link.pdf
  * Install new bash & fish completion.
    - New build-dep on dh-exec.
  * In response to upstream commit 56a56a4dcb:
    - drop d/rules code to prepare an importable copy of ocrmypdf for the
      docs build
    - patch docs/conf.py to use os.environ['DEB_VERSION_UPSTREAM'] instead
      of calling pkg_resources.get_distribution, which won't work before
      ocrmypdf is installed.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 16 Aug 2019 10:36:12 +0100

ocrmypdf (8.0.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 26 Jan 2019 13:18:54 -0700

ocrmypdf (8.0.0+dfsg-3) unstable; urgency=medium

  * Require python3-pdfminer (>= 20181108+dfsg-3).

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 14 Jan 2019 19:27:28 -0700

ocrmypdf (8.0.0+dfsg-2) unstable; urgency=medium

  * Revert changes in previous upload that disabled usage of pdfminer.six.
    It turns out that the blocking problem was not #886291, but instead
    the problem fixed by the 20181108+dfsg-3 upload of src:pdfminer.
    Thanks to Daniele Tricoli for the fix.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 14 Jan 2019 19:19:45 -0700

ocrmypdf (8.0.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Add tests/resources/enron1.pdf to Files-Excluded
      See https://github.com/pikepdf/pikepdf/issues/21
    - Patch out test_prevent_gs_invalid_xml
      This test requires tests/resources/enron1.pdf
    - Tighten dependency on tesseract-ocr.
    - Tighten {build-,}dep on pikepdf.
  * Drop dependencies on python3-pdfminer & patch pdfminer.six out of setup.py.
    OCRmyPDF's usage of pdfminer is broken due to #886291.  The problem is
    not likely to be fixed in time for the buster freeze, so disable
    pdfminer functionality for now.
    Also see https://github.com/jbarlow83/OCRmyPDF/issues/339
  * Drop bogus Debian changes to upstream file tests/test_main.py by
    checking out the file from tag v8.0.0+dfsg (Closes: #918891).
    The changes were introduced in upstream releases 6.2.4 and 6.2.5 and
    dropped by 7.4.0.  The merge of upstream version 7.4.0 into the Debian
    packaging branch was not done correctly, such that the changes
    remained.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 11 Jan 2019 17:49:29 -0700

ocrmypdf (7.4.0-3) unstable; urgency=medium

  * Upload to unstable.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 06 Jan 2019 20:12:22 +0000

ocrmypdf (7.4.0-2) experimental; urgency=medium

  * Regenerate manpage.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 04 Jan 2019 17:38:59 +0000

ocrmypdf (7.4.0-1) experimental; urgency=medium

  * New upstream release.
    - Tighten {build-,}deps on python3-img2pdf, python3-pikepdf, python3-ruffus
    - Drop python3-libxmp build-dep and autopkgtest dep
    - Add python3-pdfminer versioned {build-,}dep.
    - Add python3-cffi autopkgtest dep.
  * In override_dh_auto_build, delete the line `from . import leptonica`
    from debian/.debhelper/ocrmypdf/__init__.py.
    The directory debian/.debhelper/ocrmypdf is just a hack so that
    upstream's doc build can find the version number, and the cffi setup
    does not work inside debian/.debhelper/ocrmypdf, so avoid the dlopen
    attempt.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 04 Jan 2019 14:51:06 +0000

ocrmypdf (7.2.1-1) experimental; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 20 Oct 2018 13:04:40 -0700

ocrmypdf (7.2.0-2) experimental; urgency=medium

  * Add pngquant to autopkgtest deps.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 10 Oct 2018 17:42:10 -0700

ocrmypdf (7.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Patch setup.py to not require setuptools_scm_git_archive.
    Pending the resolution of #910742.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 10 Oct 2018 08:38:26 -0700

ocrmypdf (7.0.2-1) experimental; urgency=medium

  * New upstream release.
    - Recommend pngquant
    - Require qpdf 8.0.2
    - Add python3-pikepdf, python3-pycparser build-deps
    - Add python3-libxmp build-dep & autopkgtest dep
    - Move python3-pypdf2 build-dep to autopkgtest deps.
    - Drop python3-defusedxml build-dep
    - Drop python3-pytest-timeout autopkgtest dep.
  * Update d/copyright for replacement LinnSequencer.jpg->linn.png.
  * Drop README.Debian
    This version of OCRmyPDF does not use PyMuPDF.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 02 Sep 2018 10:25:25 -0700

ocrmypdf (6.2.5-2) unstable; urgency=medium

  * Fix path in debian/clean (Closes: #913623).
    Thanks to Graham Inggs for the report and patch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 14 Nov 2018 09:24:33 -0700

ocrmypdf (6.2.5-1) unstable; urgency=medium

  * New upstream release (Closes: #912001).
    Thank you to upstream for the fix.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 29 Oct 2018 17:23:44 -0700

ocrmypdf (6.2.4-1) unstable; urgency=medium

  * New upstream release (Closes: #908937).
    Thank you to upstream for backporting the fix.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 17 Sep 2018 06:52:05 -0700

ocrmypdf (6.2.3-1) unstable; urgency=medium

  * New upstream release (Closes: #904185).
    Thank you to upstream for the fix.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 02 Aug 2018 14:01:46 +0800

ocrmypdf (6.2.2-2) unstable; urgency=medium

  * Tighten {build-,}dependency on python3-ruffus to require 2.7 (Closes:
    #903811).
    Thanks to Paul Gevers for the report.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 15 Jul 2018 18:15:58 +0100

ocrmypdf (6.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Loosen {build-,}dependency on python3-ruffus (Closes: #903627).

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 13 Jul 2018 17:28:42 +0100

ocrmypdf (6.2.0-1) unstable; urgency=medium

  * New upstream release.
    - Tighten dependency on qpdf to 7.0.0 or newer.
  * Fix excluding installation instructions from bin:ocrmypdf-doc.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 05 May 2018 12:12:22 -0700

ocrmypdf (6.1.2-1) unstable; urgency=low

  * New upstream release (Closes: #888917).
  * Various updates to d/copyright due to project relicensing and source
    tree rearrangement.
    - Additionally update upstream contact e-mail address.
    - Additionally use https for Format: field.
  * Add python3-defusedxml build-dep.
  * Drop python3-pytest-xdist autopkgtest dependency.
  * Drop SETUPTOOLS_SCM_PRETEND_VERSION hack from d/rules.
    Obsoleted by upstream changes.
  * Update override_dh_auto_build for source tree rearrangement.
  * Update d/tests/control for source tree rearrangement.
  * Add README.Debian about the lack of PyMuPDF support.
  * Add debian/NEWS to detail breaking changes in command line interface.
    Breaking changes in the ocrmypdf library are not detailed because
    ocrmypdf is not considered to provide a stable public API.
  * Expand reasoning in first bullet point of 5.5-2 changelog entry.
  * Patch setup.py to remove addopts key under tool:pytest section.
    The '-n' command line option is not supported by recent pytest.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 31 Mar 2018 11:30:50 -0700

ocrmypdf (5.5-2) unstable; urgency=medium

  * Disable test suite at package build time.
    Rely on autopkgtest instead.  The test suite now takes a prohibitively
    long time to run; upstream expects it to be run after OCRmyPDF is
    installed so running it during the build relies on fragile code in
    d/rules; and it requires a number of heavy build dependencies which
    makes it less convenient to build the package, and to backport the
    package to Debian stable.
  * Move test suite dependencies d/control -> d/tests/control.
  * Set PYBUILD_INSTALL_ARGS to pass --force to setup.py.
    This prevents the build from aborting because tools like unpaper, qpdf
    etc. are not installed.  These programs are not actually needed to
    build the package.
  * Demote unpaper Depends -> Recommends.
    Upstream considers it to be optional.
  * Add --locale to help2man call in gen-man-page target.
  * Regenerate manpage.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 27 Jan 2018 12:10:23 -0700

ocrmypdf (5.5-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 20 Jan 2018 12:22:12 -0700

ocrmypdf (5.4.4-1) unstable; urgency=medium

  * New upstream release.
  * Add new build-dep for test suite: python3-pytest-timeout.
  * Update sed(1) call in override_dh_auto_build for changes to __init__.py.
  * Update d/copyright.
    - Upstream have listed Julien Pfefferkorn in LICENSE.rst but the diff
      between upstream releases shows that he holds copyright on
      hocrtransform.py alone.  Thus, he is not listed under "Files: *".
  * Declare compliance with Debian Policy 4.1.2.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 16 Dec 2017 11:48:57 -0700

ocrmypdf (5.4-1) unstable; urgency=medium

  * New upstream release.
  * Drop Testsuite: field.
    See Lintian tag unnecessary-testsuite-autopkgtest-header.
  * Bump standards version to 4.1.1 (no changes required).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 14 Oct 2017 10:46:45 -0700

ocrmypdf (5.3.2-1) unstable; urgency=medium

  * New upstream release (LP: #1687308).
    - New test suite dependencies: pytest-helpers-namespace; pytest-cov;
      pytest-xdist
  * d/rules:
    - update path to upstream's release notes
    - use $DEB_VERSION_UPSTREAM instead of dpkg-parsechangelog
    - export LC_ALL=C.UTF-8
      The upstream build (and especially test suite) now requires a
      Unicode locale.
      For general information: https://bugs.python.org/issue19846
  * d/copyright:
    - Drop stanza for OCRmyPDF.sh.
      No longer included in upstream's release.
    - Merge stanzas for James R. Barlow & "The OCRmyPDF Authors".
    - Add entries for poster.pdf, overlay.pdf, baiona*.png.
    - Add stanza for pdfa.py.
    - Bump copyright years.
  * Drop patch to test_main.py.
  * Backport upstream commit 82ebd8e to fix a failing test.
  * Bump standards version to 4.1.0 (no changes required).

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 01 Sep 2017 13:51:02 -0700

ocrmypdf (4.3.5-3) unstable; urgency=high

  * Backport upstream's workaround for Ghostscript 9.20 "VMerror (-25)"
    (upstream commit e71e8ca) (Closes: #861574).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 30 Apr 2017 16:21:55 -0700

ocrmypdf (4.3.5-2) unstable; urgency=medium

  * Remove restriction on python3-pil build-dep & dep.
    OCRmyPDF works with both pillow 3.4.2 and pillow 4.0.0.  The
    restriction was to avoid python3-pil 4.0.0-1 and 4.0.0-2, which are no
    longer in any Debian suite.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 24 Jan 2017 11:50:32 -0700

ocrmypdf (4.3.5-1) unstable; urgency=medium

  * New upstream release.
  * Tighten python3-pil build-dep & dep to >= 4.0.0-3 (Closes: #851011).

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 11 Jan 2017 14:21:08 -0700

ocrmypdf (4.3.4-2) unstable; urgency=medium

  Binary packages:
  * bin:ocrmypdf now suggests img2pdf.
  * Remove claim from --help output and manpage that the img2pdf utility
    is installed as a dependency of ocrmypdf.

  Source package:
  * Drop obsolete README.source.
    All DFSG-freeness issues resolved a while ago.
  * Switch to dgit-maint-merge(7) workflow.
    - Add debian/source/patch-header.
    - Set single-debian-patch & auto-commit in d/source/options.
  * Update Vcs-*.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 02 Jan 2017 23:01:10 +0000

ocrmypdf (4.3.4-1) unstable; urgency=medium

  * New upstream release.
  * Add d/copyright stanza for tests/resources/{typewriter.png,2400dpi.pdf}

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 17 Dec 2016 17:08:35 +0000

ocrmypdf (4.3.3-1) unstable; urgency=medium

  * New upstream release (Closes: #846684).
  * Refresh patch-docs-for-Debian.patch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 03 Dec 2016 08:30:51 -0700

ocrmypdf (4.3.2-2) unstable; urgency=medium

  * Try upload again: sponsor's debsign failed after push to dgit-repos.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 12 Nov 2016 10:31:06 -0700

ocrmypdf (4.3.2-1) unstable; urgency=medium

  * New upstream release.
    - Remove dropped tasks.py from d/copyright.
    - Add new tests/resources/rotated_skew.pdf to d/copyright.
    - Move tests/resources/skew{,-encrypted}.pdf under correct stanza.
      They are based on LinnSequencer.jpg, not a public domain resource.
  * New ocrmypdf-doc binary package: upstream's new HTML documentation.
    - Set PYBUILD_DESTDIR in d/rules.
    - Add override_dh_{auto_build,installdocs,sphinxdoc} targets to d/rules.
    - ocrmypdf suggests python-watchdog.
      See "Cookbook" documentation entry.
    - New build dependencies:
      - python3-sphinx
      - python3-sphinx-rtd-theme
  * Add doc-base registration.
  * Add patch-docs-for-Debian.patch
  * Add path-to-docs-for-Debian.patch
  * Add pip-to-apt-get.patch
  * Bump debhelper compat & build-dep to 10.
  * Run wrap-and-sort -abst.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 12 Nov 2016 09:15:32 -0700

ocrmypdf (4.2.5-1) unstable; urgency=medium

  * New upstream release.
    - Add copyright file entry for tests/resources/epson.pdf.
  * Drop disable-milk.pdf-test.patch.
    Non-free milk.pdf has been replaced by free epson.pdf.
  * Drop pytest-exclude-.git.patch.
    Merged upstream.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 21 Oct 2016 13:45:53 -0700

ocrmypdf (4.2.4+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Add copyright file entries for several new files.
  * Drop all existing patches.
    Obsoleted by upstream changes.
  * Add disable-milk.pdf-test.patch
  * Add pytest-exclude-.git.patch

  Build:
  * Run test suite with pytest-runner, bypassing pybuild buildsystem.
    This is necessary to successfully run the test suite in advance of
    ocrmypdf being installed.  Previously we used OCRmyPDF.sh to achieve
    this, but that script has been deprecated by upstream.
    - New build dependency on python3-pytest-runner.

  autopkgtest:
  * Run py.test-3 rather than `python3 setup.py test`.
    - Drop obsolete STDERR filtering.
  * Ensure we are testing the installed package, by renaming the 'ocrmypdf'
    directory for the duration of the tests.
  * Drop superfluous dependencies dpkg-dev & python3-pytest-runner.

  Metadata:
  * Add Files-Excluded field to d/copyright.
    Handle new non-free test resource in upstream releases.
  * Rewrite d/watch to pull from GitHub repository, not PyPi.
    This is where I have always actually been packaging from.
  * Bump copyright years.
  * Update README.source.
  * Point Vcs-* at the dgit-repos.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 15 Sep 2016 08:20:54 -0700

ocrmypdf (4.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Append to 0001-patch-test-suite-executable.patch for new stdin test.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 27 Aug 2016 07:36:15 -0700

ocrmypdf (4.2.1+git.20160824.1.5d67cc7-1) unstable; urgency=medium

  * New upstream release.
  * Add missing dependency on python3-pkg-resources (Closes: #835272).
    Thanks to James Murphy for reporting this.
    Eventually the dependency should be included in setup.py: see
    https://github.com/jbarlow83/OCRmyPDF/issues/87

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 24 Aug 2016 17:47:16 -0700

ocrmypdf (4.2-1) unstable; urgency=medium

  * New upstream release.
  * Tighten build-dependencies on python3-pypdf2 and python3-img2pdf.
    Upstream changes mean these dependencies are tightened in
    ${python3:Depends}.  Tightening the build-deps too ensures the test
    suite will run correctly at package build time.
  * Drop bash autopkgtest dependency.
    Shouldn't depend on "Essential: yes" packages.
  * Refresh 0001-patch-test-suite-executable.patch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 17 Aug 2016 12:45:37 -0700

ocrmypdf (4.1.4-2) unstable; urgency=medium

  * Slightly loosen ghostscript dependency to allow ocrmypdf to migrate
    to Ubuntu.
    Thanks to Gianfranco Costamagna for the diff.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 02 Aug 2016 10:20:56 -0700

ocrmypdf (4.1.4-1) unstable; urgency=medium

  * New upstream release.
  * Add ocrmypdf.egg-info/ to debian/clean.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 31 Jul 2016 09:04:58 -0700

ocrmypdf (4.1.3-1) unstable; urgency=medium

  * New upstream release.
  * Add new tests/resources/encrypted_algo4.pdf to d/copyright.
    Upstream reports that it is based on jbig2.pdf.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 03 Jul 2016 12:43:56 +0900

ocrmypdf (4.1.2-1) unstable; urgency=medium

  * Package new upstream version.
    - New dependency on icc-profiles-free.
    - Use dh_link to replace sRGB.icc with a link to the file
      icc-profiles-free installs (which is identical).
    - Update d/copyright to include sRGB.icc.
      Information lifted from d/copyright of src:icc-profiles.
  * Tighten python3-ruffus dependency to << 2.6.3+dfsh.
    ocrmypdf implements a workaround for a bug present in python3-ruffus
    <=2.6.3.  ocrmypdf's author reports that this workaround should not be
    used with the next release of python3-ruffus, which will contain a fix
    for the bug.
    Thanks to Bernhard R. Link for the '+dfsh' formulation, which ensures
    that new Debian revisions, DFSG repacks (e.g. dfsg2), NMUs and binNMUs
    of version 2.6.3 satisfy the dependency but (e.g.) version 2.6.3.1
    does not.  This is required because python3-ruffus does not appear to
    have a version number policy.
  * Simplify code determining SETUPTOOLS_SCM_PRETEND_VERSION.
  * Patch pytest.ini to exclude .pc.
    Test suite no longer runs `rm -r .pc', which was in violation of DEP-8
    rw-build-tree restriction's requirement that the build tree can be
    returned to its original state with `debian/rules clean'.
  * Use bash pipefail option to ensure adt-run recognises autopkgtest test
    suite failures.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 13 May 2016 12:46:02 -0700

ocrmypdf (4.0.7-2) unstable; urgency=low

  * Switch to depend and build-depend on libjpeg-turbo instead of libjpeg8.
    Thanks to Pino Toscano for the suggestion.  (Closes: #822535)
  * Fix autopkgtest:
    - Set SETUPTOOLS_SCM_PRETEND_VERSION.
    - Use pytest-runner.
    - Delete the .pc directory (and set rw-build-tree restriction).
  * Bump standards version to 3.9.8; no changes required.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 27 Apr 2016 07:45:11 -0700

ocrmypdf (4.0.7-1) unstable; urgency=medium

  * Initial release. (Closes: #813562)

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 03 Mar 2016 22:04:31 -0700